gsm0808_encrypt_info Struct Reference

`#include <gsm_08_08.h>`

## Data Fields

uint8_t | perm_algo [ENCRY_INFO_PERM_ALGO_MAXLEN]
unsigned int | perm_algo_len
uint8_t | key [ENCRY_INFO_KEY_MAXLEN]
unsigned int | key_len

## Field Documentation

## key

uint8_t gsm0808_encrypt_info::key[ENCRY_INFO_KEY_MAXLEN]

Referenced by gsm0808_dec_encrypt_info(), and gsm0808_enc_encrypt_info().

## key_len

unsigned int gsm0808_encrypt_info::key_len

Referenced by gsm0808_dec_encrypt_info(), and gsm0808_enc_encrypt_info().

## perm_algo

uint8_t gsm0808_encrypt_info::perm_algo[ENCRY_INFO_PERM_ALGO_MAXLEN]

Referenced by gsm0808_dec_encrypt_info(), and gsm0808_enc_encrypt_info().

## perm_algo_len

unsigned int gsm0808_encrypt_info::perm_algo_len

Referenced by gsm0808_dec_encrypt_info(), and gsm0808_enc_encrypt_info().

The documentation for this struct was generated from the following file:

- include/osmocom/gsm/protocol/gsm_08_08.h